2017年12月14日 星期四

tensorflow build_pip_package error

在build_pip_package時遇到問題:

bazel-bin/tensorflow/tools/pip_package/build_pip_package /tmp/tensorflow_pkg
四 12月 14 18:11:04 CST 2017 : === Using tmpdir: /tmp/tmp.cyP6dwC7mh
~/tensorflow/bazel-bin/tensorflow/tools/pip_package/build_pip_package.runfiles ~/tensorflow
~/tensorflow
/tmp/tmp.cyP6dwC7mh ~/tensorflow
四 12月 14 18:11:06 CST 2017 : === Building wheel
error in tensorflow setup command: 'install_requires' must be a string or list of strings containing valid project/version requirement specifiers

Solution:
sudo pip install -U setuptools